### Virtual Method

# Ide VcsBranch get_id

#### Declaration

    gchar*
    get_id (
      IdeVcsBranch* self
    )

#### Description

Gets the identifier of the branch.

Available since: | 3.34

#### Return value

Returns: | `gchar*`
| A string containing the branch identifier.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.